Last Comment Bug 697120 - Show favicon on all entries in awesomebar
: Show favicon on all entries in awesomebar
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P1 normal (vote)
: ---
Assigned To: Lucas Rocha (:lucasr)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-25 08:21 PDT by Lucas Rocha (:lucasr)
Modified: 2012-01-09 11:49 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
(1/3) Don't store "all pages" cursor as private property (4.24 KB, patch)
2011-10-27 06:06 PDT, Lucas Rocha (:lucasr)
mark.finkle: review+
Details | Diff | Review
(2/3) Show favicons on AwesomeBar's All Pages and Bookmarks tabs (7.28 KB, patch)
2011-10-27 06:07 PDT, Lucas Rocha (:lucasr)
mark.finkle: review+
Details | Diff | Review
(3/3) Show favicon on AwesomeBar's history tab (6.58 KB, patch)
2011-10-27 06:08 PDT, Lucas Rocha (:lucasr)
mark.finkle: review+
Details | Diff | Review

Description Lucas Rocha (:lucasr) 2011-10-25 08:21:00 PDT
All lists in awesome bar are missing favicons.
Comment 1 Lucas Rocha (:lucasr) 2011-10-27 06:06:51 PDT
Created attachment 569940 [details] [diff] [review]
(1/3) Don't store "all pages" cursor as private property

Just a cleanup I did on the way.
Comment 2 Lucas Rocha (:lucasr) 2011-10-27 06:07:52 PDT
Created attachment 569941 [details] [diff] [review]
(2/3) Show favicons on AwesomeBar's All Pages and Bookmarks tabs
Comment 3 Lucas Rocha (:lucasr) 2011-10-27 06:08:38 PDT
Created attachment 569942 [details] [diff] [review]
(3/3) Show favicon on AwesomeBar's history tab
Comment 4 Lucas Rocha (:lucasr) 2011-10-27 06:12:52 PDT
FYI: AwesomeBar will only actually start showing favicons for the pages once we start caching/storing favicon images in Android's browser database. I'm finishing patches for bug 697194 which will do that. But those patches don't depend on favicons to be present so it's ok to push them after review.
Comment 6 Aaron Train [:aaronmt] 2011-10-27 11:38:39 PDT
Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111027 FIrefox/10.0a1 Fennec/10.0a1

Note You need to log in before you can comment on or make changes to this bug.